=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: glib2.0
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Simon McVittie <smcv@debian.org>
Build-Depends: dbus <!nocheck> <!noinsttest>,
               debhelper-compat (= 12),
               dh-exec,
               dh-python,
               docbook-xml,
               docbook-xsl,
               dpkg-dev (>= 1.17.14),
               gettext,
               gnome-pkg-tools (>= 0.11),
               libdbus-1-dev (>= 1.2.14) <!nocheck> <!noinsttest>,
               libelf-dev (>= 0.142),
               libffi-dev (>= 3.3),
               libgamin-dev [hurd-any] | libfam-dev [hurd-any],
               libmount-dev (>= 2.35.2-7~) [linux-any],
               libpcre3-dev (>= 1:8.35),
               libselinux1-dev [linux-any],
               libxml2-utils,
               linux-libc-dev [linux-any],
               meson (>= 0.52.0),
               pkg-config (>= 0.16.0),
               python3-distutils,
               python3:any (>= 2.7.5-5~),
               xsltproc,
               zlib1g-dev
Build-Depends-Arch: desktop-file-utils <!nocheck>,
                    locales <!nocheck> | locales-all <!nocheck>,
                    python3-dbus <!nocheck>,
                    python3-gi <!nocheck>,
                    shared-mime-info <!nocheck>,
                    tzdata <!nocheck>,
                    xterm <!nocheck>
Build-Depends-Indep: gtk-doc-tools (>= 1.32.1),
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://wiki.gnome.org/Projects/GLib
Vcs-Browser: https://salsa.debian.org/gnome-team/glib
Vcs-Git: https://salsa.debian.org/gnome-team/glib.git -b debian/experimental

Package: libglib2.0-0
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: libglib2.0-data,
            shared-mime-info,
            xdg-user-dirs
Breaks: gimp (<< 2.10.14-3~),
        glib-networking-tests (<< 2.63.2),
        libgio-fam (<< 2.64.1-2~) [kfreebsd-any hurd-any],
        libgirepository-1.0-1 (<< 1.62.0-4~),
        libgladeui-2-6 (<< 3.22.2)
Replaces: libgio-fam (<< 2.64.1-2~) [kfreebsd-any hurd-any]
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: GLib library of C routines
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package contains the shared libraries.

Package: libglib2.0-tests
Build-profiles: <!noinsttest>
Architecture: any
Depends: gir1.2-glib-2.0,
         libglib2.0-dev-bin,
         python3-dbus,
         python3-dbusmock,
         python3-gi,
         shared-mime-info,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: xdg-desktop-portal,
Pre-Depends: ${misc:Pre-Depends}
Description: GLib library of C routines - installed tests
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package contains test programs, designed to be run as part of a
 regression testsuite.

Package: libglib2.0-udeb
Build-Profiles: <!noudeb>
Section: debian-installer
Package-Type: udeb
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: GLib library of C routines - minimal runtime
 This is a udeb, or a microdeb, for the debian-installer.
 .
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package contains the minimal runtime library needed by the Debian
 installer.

Package: libglib2.0-bin
Section: misc
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libglib2.0-data,
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: foreign
Description: Programs for the GLib library
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package contains the program files which is used for the libraries
 and others.

Package: libglib2.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libffi-dev (>= 3.3),
         libglib2.0-0 (= ${binary:Version}),
         libglib2.0-bin (= ${binary:Version}),
         libglib2.0-dev-bin (= ${binary:Version}),
         libmount-dev (>= 2.35.2-7~) [linux-any],
         libpcre3-dev (>= 1:8.31),
         libselinux1-dev [linux-any],
         pkg-config,
         zlib1g-dev,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Breaks: libglib2.0-0-dbg (<< 2.51.4-1~)
Replaces: libglib2.0-0-dbg (<< 2.51.4-1~)
Suggests: libgirepository1.0-dev (>= 1.62),
          libglib2.0-doc
Description: Development files for the GLib library
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package is needed to compile programs against libglib2.0-0,
 as only it includes the header files and static libraries (optionally)
 needed for compiling.
 .
 GObject-Introspection metadata for this library can be found in the
 libgirepository1.0-dev package.

Package: libglib2.0-dev-bin
Section: libdevel
Architecture: any
Depends: python3-distutils,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Suggests: libgdk-pixbuf2.0-bin (>= 2.36.12-2~) | libgdk-pixbuf2.0-dev,
          libxml2-utils
Breaks: libglib2.0-bin (<< 2.54.2-5~),
        libglib2.0-dev (<< 2.53)
Replaces: libglib2.0-bin (<< 2.54.2-5~),
          libglib2.0-dev (<< 2.53)
Multi-Arch: foreign
Description: Development utilities for the GLib library
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package is needed to compile programs against libglib2.0-0. It contains
 development utilities typically run during compilation and should not be
 installed directly. Use libglib2.0-dev instead.

Package: libglib2.0-data
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Common files for GLib library
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package is needed for the runtime libraries to display messages in
 languages other than English.

Package: libglib2.0-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: devhelp
Multi-Arch: foreign
Description: Documentation files for the GLib library
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package contains the HTML documentation for the GLib library
 in /usr/share/doc/libglib2.0-doc/ .
