## glib2.0 2.68.1

=== debian/changelog ===
glib2.0 (2.68.1-1~ubuntu21.04.1) hirsute; urgency=medium

  * debian/{control,gbp.conf}: Update branch refs for hirsute
  * Backport from Debian to hirsute for SRU (LP: #1928001)

 -- Iain Lane <iain.lane@canonical.com>  Mon, 10 May 2021 18:14:07 +0100

glib2.0 (2.68.1-1) experimental; urgency=medium

  * New upstream stable release
  * d/tests/run-with-locales: Avoid FTBFS with locales-all installed

 -- Simon McVittie <smcv@debian.org>  Thu, 15 Apr 2021 09:42:05 +0100
