=== debian/control ===
--- 
+++ 
@@ -43,7 +43,7 @@
 Standards-Version: 4.5.1
 Homepage: https://wiki.gnome.org/Projects/GLib
 Vcs-Browser: https://salsa.debian.org/gnome-team/glib
-Vcs-Git: https://salsa.debian.org/gnome-team/glib.git -b debian/experimental
+Vcs-Git: https://salsa.debian.org/gnome-team/glib.git -b ubuntu/hirsute
 
 Package: libglib2.0-0
 Architecture: any
