=== debian/watch ===
version=4
https://download.gnome.org/sources/glib/(\d+\.[\d\.]+)/ \
	glib@ANY_VERSION@\.tar\.xz
#opts="mode=git,compression=xz" \
#https://gitlab.gnome.org/GNOME/glib.git \
#refs/tags/@ANY_VERSION@
