## glib2.0 2.68.4

=== debian/changelog ===
glib2.0 (2.68.4-1ubuntu1) impish; urgency=medium

  * Cherry-pick merge request 2291 to fix network monitoring with latest
    NetworkManager (LP: #1946196)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 12 Oct 2021 14:39:07 +0200

glib2.0 (2.68.4-1build1) impish; urgency=medium

  * No-change rebuild for libffi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Sep 2021 16:59:01 +0200

glib2.0 (2.68.4-1) unstable; urgency=medium

  * New upstream release
    - Avoid a deadlock while finalizing a GLocalFileMonitor
    - Correctly use 3 parameters for close_range(), fixing build with
      glibc 2.34
    - Fix global trash directory detection
    - Make g_string_replace() with empty search string behave sensibly
      (matching Python str.replace())
    - Translation updates: oc, zh_CN, zh_TW
  * tests: Specify charset for generated locales to fix FTBFS with new glibc.
    glibc 2.31-14 dropped support for all non-UTF-8 locales, so we can't
    use /usr/share/i18n/SUPPORTED to choose a suitable charset any more.
  * d/rules: Override dh_fixperms to set correct permissions on /usr/libexec.
    Making everything executable is not quite right for installed-tests.

 -- Simon McVittie <smcv@debian.org>  Fri, 20 Aug 2021 10:31:42 +0100

glib2.0 (2.68.3-2) unstable; urgency=medium

  * Merge from experimental branch
  * Changes relative to 2.68.3-1 in experimental:
    - d/watch: Only watch for stable (2.even.z) releases
    - d/p/debian/61_glib-compile-binaries-path.patch: Remove.
      This patch turns out to be unnecessary, and is harmful for
      cross-compiling. Thanks to Helmut Grohne (Closes: #982213)
  * Changes relative to previous version in unstable:
    - New upstream stable release branch 2.68.x
    - Fix maintainer scripts' handling of /usr/lib/MULTIARCH/gio/modules
      (Closes: #987913, see 2.68.1-2 changelog)
    - Mark dbus as <!nocheck> <!noinsttest>.
      Several of the installed-tests won't be built unless dbus-daemon is
      available, so <!nocheck> is insufficient.
    - Move test-dependencies to Build-Depends-Arch.
      We don't run the majority of the tests when we're only building the
      documentation.
    - Remove an unused Lintian override
    - Add more Lintian overrides for test data
    - Use d/tests/run-with-locales for better locale-sensitive test coverage
  * d/rules: Fix dead link when documenting why we use -Wl,--no-as-needed
  * Bump minimum GLib version for callers of g_dbus_server_new_sync()
    Programs that call this function might be passing in the new flag
    G_DBUS_CONNECTION_FLAGS_AUTHENTICATION_REQUIRE_SAME_USER, which is
    security-significant. Don't allow such programs to be built against
    GLib 2.68 and run with GLib 2.66 or older.
  * Add Breaks on libsoup2.4-tests before 2.72.0-3.
    Older versions of the libsoup test suite had an assertion that would
    only succeed because of a GLib bug, which is fixed in 2.68.x. Newer
    versions tolerate the bug, but do not require it.

 -- Simon McVittie <smcv@debian.org>  Sun, 15 Aug 2021 14:57:30 +0100

glib2.0 (2.68.3-1) experimental; urgency=medium

  * New upstream release 2.68.3, fixing bugs:
    - GFile: `g_file_replace_contents()` reports `G_IO_ERROR_WRONG_ETAG` when
      saving from a symlink
    - glocalfileoutputstream: Fix ETag check when replacing through a symlink
    - gmacros: check that __cplusplus or _MSC_VER is defined
    - gmacros: missing check if __STDC_VERSION__ is defined
    - gthreadedresolver: don't ignore flags in lookup_by_name_with_flags
    - inotify: Fix a memory leak
    - json-glib does not build with glib 2.68.1
    - testfilemonitor test leaks ip_watched_file_t struct
    - tlscertificate: Avoid possible invalid read

 -- Iain Lane <laney@debian.org>  Tue, 29 Jun 2021 15:24:06 +0100

glib2.0 (2.68.1-2) experimental; urgency=medium

  * Fix maintainer scripts' handling of /usr/lib/MULTIARCH/gio/modules:
    - postrm: Only delete GIO module cache on remove or purge.
      Despite its name, the postrm can be invoked for reasons other than
      package removal: in particular, the old version's postrm is run
      during upgrades.
    - postinst: Recreate GIO module directory if deleted by an older
      postrm, to recover from the bug fixed here.
    - postinst: Don't guard glib-compile-schemas or gio-querymodules with
      a check for existence of a directory that is shipped in the .deb.
      If such a directory has somehow gone missing, we want to see
      a warning. This won't make the postinst fail, because we're ignoring
      exit status anyway.
    (Closes: #987913)

 -- Simon McVittie <smcv@debian.org>  Sun, 02 May 2021 14:45:36 +0100
