=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Source: glib2.0
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Simon McVittie <smcv@debian.org>
 Build-Depends: dbus <!nocheck> <!noinsttest>,
                debhelper-compat (= 12),
@@ -43,7 +44,7 @@
 Standards-Version: 4.5.1
 Homepage: https://wiki.gnome.org/Projects/GLib
 Vcs-Browser: https://salsa.debian.org/gnome-team/glib
-Vcs-Git: https://salsa.debian.org/gnome-team/glib.git -b ubuntu/hirsute
+Vcs-Git: https://salsa.debian.org/gnome-team/glib.git
 
 Package: libglib2.0-0
 Architecture: any
@@ -56,7 +57,8 @@
         glib-networking-tests (<< 2.63.2),
         libgio-fam (<< 2.64.1-2~) [kfreebsd-any hurd-any],
         libgirepository-1.0-1 (<< 1.62.0-4~),
-        libgladeui-2-6 (<< 3.22.2)
+        libgladeui-2-6 (<< 3.22.2),
+        libsoup2.4-tests (<< 2.72.0-3~),
 Replaces: libgio-fam (<< 2.64.1-2~) [kfreebsd-any hurd-any]
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
