## glib2.0 2.72.0

=== debian/changelog ===
glib2.0 (2.72.0-1~bpo11+1) bullseye-backports; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * debian/libglib2.0-0.postinst.in: only run clean-up-unmanaged-libraries on upgrades and not on new installations
    (Closes: #1008096)

  [ Jeremy Bicha ]
  * Add patch to recognize GNOME Console as a terminal app

  [ Marc Leeman ]
  * d/control.in: add Marc Leeman to uploaders

 -- Marc Leeman <m.leeman@televic.com>  Thu, 21 Apr 2022 10:16:59 +0200

glib2.0 (2.72.0-1) unstable; urgency=medium

  * New upstream release
    - Fix assertion failure with time zone offsets >= 25 hours
      (Closes: #1007226)
    - Various unit test fixes
    - Fix a memory leak with an invalid format in g_vasprintf()
    - Translation updates
  * Merge 2.71.x release history from experimental
    - d/gbp.conf, d/control.in: Update branch for upload to unstable
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Fri, 18 Mar 2022 09:05:21 +0000

glib2.0 (2.70.5-1) unstable; urgency=medium

  * New upstream release
    - Fix assertion failure with time zone offsets >= 25 hours
      (Closes: #1007226)
    - Fix possible buffer overflow in g_canonicalize_filename()

 -- Simon McVittie <smcv@debian.org>  Thu, 17 Mar 2022 23:28:00 +0000

glib2.0 (2.70.4-1) unstable; urgency=medium

  * New upstream release
  * Adjust Lintian overrides for newer Lintian

 -- Simon McVittie <smcv@debian.org>  Tue, 15 Feb 2022 10:08:01 +0000

glib2.0 (2.71.3-1) experimental; urgency=medium

  * New upstream development release

 -- Simon McVittie <smcv@debian.org>  Tue, 08 Mar 2022 19:53:44 +0000

glib2.0 (2.71.2-1) experimental; urgency=medium

  * New upstream development release
  * Update symbols file.
    Ignore removal of g_debug_controller_dup_default, which was only added
    during this development cycle. GLib doesn't guarantee ABI stability
    within x.odd.z branches.
  * d/p/debian/tests-Skip-debugcontroller-test.patch:
    Add patch to skip another unreliable unit test while it's investigated
    upstream

 -- Simon McVittie <smcv@debian.org>  Tue, 15 Feb 2022 20:52:33 +0000

glib2.0 (2.71.1-1) experimental; urgency=medium

  * New upstream development release
  * Merge packaging changes from unstable
    - Use debhelper 13 features instead of dh-exec
  * Update symbols file

 -- Simon McVittie <smcv@debian.org>  Thu, 27 Jan 2022 16:43:04 +0000

glib2.0 (2.70.3-1) unstable; urgency=medium

  * New upstream release
    - Do not allow empty structs (tuples) in D-Bus messages, resolving a
      denial-of-service vulnerability for private GDBus servers that accept
      messages from untrusted clients (glib#2557)
    - Do not allow deep recursion in serialized GVariant binary data,
      resolving a denial of service for anything that loads untrusted
      GVariant binary data (glib#2572)
    - Fix file descriptor handling when launching subprocesses
    - Don't skip fsync when writing out files on btrfs.
      This was based on a kernel behaviour that was guaranteed prior to
      2014, but is no longer considered to be a guarantee.
    - Translation updates
  * Use debhelper 13 features instead of dh-exec
    debhelper now has ${DEB_HOST_MULTIARCH} substitutions, so we don't need
    to use dh-exec for those.
    After that, the one remaining dh-exec feature in use was a conditional
    installation for the FAM GIO module for Hurd. Open-code this in d/rules
    instead.
  * d/gbp.conf: Use upstream/2.70.x branch for packaging.
    We have already had a 2.71.x release.

 -- Simon McVittie <smcv@debian.org>  Wed, 26 Jan 2022 20:18:19 +0000

glib2.0 (2.71.0-2) experimental; urgency=medium

  * Merge packaging updates from unstable

 -- Simon McVittie <smcv@debian.org>  Mon, 27 Dec 2021 17:05:59 +0000

glib2.0 (2.70.2-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on dh-sequence-gnome and dh-sequence-python3
  * debian/rules: Drop environment variable clearing now done for us by dh13

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 04 Dec 2021 20:58:45 -0500

glib2.0 (2.71.0-1) experimental; urgency=medium

  * New upstream development release
  * Unfuzz patch series
  * Update symbols file

 -- Simon McVittie <smcv@debian.org>  Mon, 27 Dec 2021 15:04:01 +0000

glib2.0 (2.70.1-1) unstable; urgency=medium

  * New upstream release
    - Functionally equivalent to previous releases to Debian, except for
      Windows-specific changes
  * Drop patches that came from upstream
  * d/upstream/metadata: Add
  * Use debhelper compat level 13
    - Drop override for dh_missing --fail-missing, which is now the default

 -- Simon McVittie <smcv@debian.org>  Fri, 05 Nov 2021 15:58:04 +0000

glib2.0 (2.70.0-3) unstable; urgency=medium

  * d/rules: Remove internal_pcre build option, which no longer exists.
    Meson 0.60.0 no longer tolerates this.

 -- Simon McVittie <smcv@debian.org>  Mon, 25 Oct 2021 11:25:31 +0100

glib2.0 (2.70.0-2) unstable; urgency=medium

  * d/patches: Update to upstream glib-2-70 branch commit
    2.70.0-41-g359a837ee.
    Among other fixes, this makes sure we receive change-notification from
    NetworkManager (>= 1.31.5), which dropped its legacy PropertiesChanged
    signal in favour of using standard D-Bus Properties. (LP: #1946196)
  * Add Breaks on older versions of glib-networking-tests.
    With this GLib, the old way glib-networking's tests used to mock up
    a particular negotiated protocol no longer works.
  * Add Breaks on versions of gnome-keyring that had elevated capabilities.
    Security hardening in GLib 2.70.0 interferes with their ability to
    connect to D-Bus in some system configurations. (See #994961)
  * Remove vestigial triggers for /usr/lib/gio/modules.
    We no longer load files from that directory (since Debian 11 and Ubuntu
    20.04), but we still had a trigger for it, and the postinst still created
    a module cache if it existed.
  * d/libglib2.0-0.postinst.in: Clean up /usr/lib/gio/modules on upgrade.

