=== debian/control ===
--- 
+++ 
@@ -5,18 +5,17 @@
 Source: glib2.0
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Simon McVittie <smcv@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Simon McVittie <smcv@debian.org>,
+           Marc Leeman <m.leeman@televic.com>
 Build-Depends: dbus <!nocheck> <!noinsttest>,
-               debhelper-compat (= 12),
-               dh-exec,
-               dh-python,
+               debhelper-compat (= 13),
+               dh-sequence-python3,
+               dh-sequence-gnome,
                docbook-xml,
                docbook-xsl,
                dpkg-dev (>= 1.17.14),
                gettext,
-               gnome-pkg-tools (>= 0.11),
                libdbus-1-dev (>= 1.2.14) <!nocheck> <!noinsttest>,
                libelf-dev (>= 0.142),
                libffi-dev (>= 3.3),
@@ -41,7 +40,7 @@
                     xterm <!nocheck>
 Build-Depends-Indep: gtk-doc-tools (>= 1.32.1),
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://wiki.gnome.org/Projects/GLib
 Vcs-Browser: https://salsa.debian.org/gnome-team/glib
 Vcs-Git: https://salsa.debian.org/gnome-team/glib.git
@@ -54,7 +53,8 @@
             shared-mime-info,
             xdg-user-dirs
 Breaks: gimp (<< 2.10.14-3~),
-        glib-networking-tests (<< 2.63.2),
+        glib-networking-tests (<< 2.70.0~),
+        gnome-keyring (<< 40.0-3~),
         libgio-fam (<< 2.64.1-2~) [kfreebsd-any hurd-any],
         libgirepository-1.0-1 (<< 1.62.0-4~),
         libgladeui-2-6 (<< 3.22.2),
