=== debian/control ===
--- 
+++ 
@@ -6,8 +6,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Simon McVittie <smcv@debian.org>,
-           Marc Leeman <m.leeman@televic.com>
+Uploaders: Iain Lane <laney@debian.org>, Simon McVittie <smcv@debian.org>
 Build-Depends: dbus <!nocheck> <!noinsttest>,
                debhelper-compat (= 13),
                dh-sequence-python3,
