## glib2.0 2.72.4

=== debian/changelog ===
glib2.0 (2.72.4-0ubuntu2.5) jammy-security; urgency=medium

  * SECURITY UPDATE: Integer Overflow
    - debian/patches/CVE-2025-4373-1.patch: carefully handle gssize
      in glib/gstring.c.
    - debian/patches/CVE-2025-4373-2.patch: make len_unsigned
      unsigned in glib/gstring.c
    - CVE-2025-4373

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Mon, 12 May 2025 05:34:39 -0300

glib2.0 (2.72.4-0ubuntu2.4) jammy-security; urgency=medium

  * SECURITY UPDATE: Buffer overflow
    - debian/patches/CVE-2024-52533.patch: fix a single byte buffer
      overflow in connect messages in gio/gsocks4aproxy.c.
    - CVE-2024-52533

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Wed, 13 Nov 2024 14:54:48 -0300

glib2.0 (2.72.4-0ubuntu2.3) jammy-security; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Backport patches to handle CVE-2024-34397

  [ Marc Deslauriers ]
  * debian/patches/gdbusconnection-regression.patch: fix ibus regression.
  * debian/control*: added Breaks for gnome-shell without regression fix.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 08 May 2024 13:22:46 -0400

glib2.0 (2.72.4-0ubuntu2.2) jammy-security; urgency=medium

  * SECURITY UPDATE: multiple GVariant security issues
    - debian/patches/gvariant-security-*.patch: backported upstream fixes
      for GVariant normalization issues.
    - CVE-2023-24593, CVE-2023-29499, CVE-2023-25180, CVE-2023-32611,
      CVE-2023-32636, CVE-2023-32643, CVE-2023-32665

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 08 Jun 2023 10:15:59 -0400

glib2.0 (2.72.4-0ubuntu2) jammy; urgency=medium

  * d/p/0001-gio-Make-portal-support-aware-of-snaps.patch:
    - Make portal support aware of snaps (LP: #1998267)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 22 Mar 2023 15:52:13 +1300

glib2.0 (2.72.4-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #1980408)
  * Update testfilemonitor-Skip-if-we-are-avoiding-flaky-tests.patch
    for new testfilemonitor test.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 12 Oct 2022 14:59:04 -0400
