=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: glib2.0
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Simon McVittie <smcv@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Simon McVittie <smcv@debian.org>
 Build-Depends: dbus <!nocheck> <!noinsttest>,
                debhelper-compat (= 13),
                dh-sequence-python3,
@@ -41,8 +42,10 @@
 Rules-Requires-Root: no
 Standards-Version: 4.6.0
 Homepage: https://wiki.gnome.org/Projects/GLib
-Vcs-Browser: https://salsa.debian.org/gnome-team/glib
-Vcs-Git: https://salsa.debian.org/gnome-team/glib.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/glib
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/glib.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/glib/tree/ubuntu/jammy
+Vcs-Git: https://salsa.debian.org/gnome-team/glib.git -b ubuntu/jammy
 
 Package: libglib2.0-0
 Architecture: any
@@ -58,6 +61,7 @@
         libgirepository-1.0-1 (<< 1.62.0-4~),
         libgladeui-2-6 (<< 3.22.2),
         libsoup2.4-tests (<< 2.72.0-3~),
+        gnome-shell (<< 42.9-0ubuntu2.1~),
 Replaces: libgio-fam (<< 2.64.1-2~) [kfreebsd-any hurd-any]
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
